投稿

4フォロワー フォローする
0
Avatar

How to upgrade to higher version of gecko?

As a website developer I've known to love firefox with firebug and adblock element hider for very fast editing and creating. Unfortunately I am dissatisfied with the version lunascape is running which is only version 5. The reason being is that the css effects do not show on lunascape's firefox version 5 vs my actual firefox browser. I was intending to being able to switch between engines to see if it properly shows on both browsers correctly. Unfortunately I can not. I have also had the issue with the gecko menu bar showing and not showing randomly on sessions, very frustrating. So until lunascape's firefox version is upgraded to display the css I require to show on my website works, I will sadly stick to firefox and chrome itself (sigh).

The CSS effects I use as an example are box-shadow, border-radius and more. I am also using "!important" at the end of my string to assure the css is forced but apparently that is as well not working still, perhaps I must use the Moz... mozilla css arguments for the version to understand it. Never the less, though firebug is extremely fast with rendering and editing the code live, I can not take the time and work to re edit all of my css for it to display on an older version of firefox correctly with lunascape. Very sad seeing I can not use my extensions that work and render with no load time or hang at all with lunascape because it does not show correctly on lunascapes gecko (mozilla) engine.

zach reynolds

ログインしてコメントを残してください。

3件のコメント

0
Avatar

Hi Zach,

Thanks for using Lunascape!

As you say, it may be that the reason the features you mention do not work is that the Gecko engine in Lunascape is a bit old. We are planning a release with an updated Gecko engine, though the release date is not yet set. Please be patient!

About the Gecko menu bar, it can be displayed only in tabs in which the Gecko engine is activated. You can switch it on and off via the View menu.

US 0 票
0
Avatar

It has been nearly a year since you said you are planning an updated Gecko. It's still reporting itself as Firefox 3.6.28 from April 10, 2012. While the Lunascape WebKit is also outdated, it isn't being actively desupported by sites yet. Lunascape is quickly becoming irrelevant since it is a choice of "the much hated Trident engine", "an actively-desupported Gecko", and "a barely-fucntional WebKit".

As much as I really like Lunascape, I have a hard time recommending it to others knowing that they'll have a subpar experience on any site requiring a browser released in the past couple of years.

Matt Lewandowsky 0 票
0
Avatar
I would really get update Gecko.
The browser is fast becoming not relevant, because the outdated engines
We hope for your understanding and fast service products
Andrey Rudnev 0 票